'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _device = require('./../services/device.service');

var _device2 = _interopRequireDefault(_device);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function load(req, res, next, id) {
  req.ledId = id;
  return next();
}

/**
 * get all leds device data example.
 */
function getAllLeds(req, res, next) {
  return res.json(_device2.default.getAllLedsStatus());
}

function getLed(req, res, next) {
  return res.json(_device2.default.getOneLedStatus(req.ledId));
}

/**
 * Update led
 * @property {boolean} req.body.value - new bollean value of led
 * @returns {led}
 */
function updateLed(req, res, next) {
  var led = { id: req.ledId, value: req.body.value };
  return res.json(_device2.default.updateLedStatus(led));
}

exports.default = { getAllLeds: getAllLeds, getLed: getLed, updateLed: updateLed, load: load };
module.exports = exports['default'];
//# sourceMappingURL=device.controller.js.map
