'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _device = require('./../services/device.service');

var _device2 = _interopRequireDefault(_device);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (socket) {
  var randomInterval = void 0;

  socket.emit('allLeds', _device2.default.getAllLedsStatus());

  socket.on('update led', function (payload) {
    clearInterval(randomInterval);
    _device2.default.stopRandomMode();
    socket.emit('led', _device2.default.updateLedStatus(payload));
    socket.broadcast.emit('led', _device2.default.updateLedStatus(payload));
  });

  socket.on('random', function (payload) {
    clearInterval(randomInterval);
    _device2.default.stopRandomMode();
    if (payload) {
      _device2.default.triggerRandomMode();
      randomInterval = setInterval(function () {
        socket.emit('allLeds', _device2.default.getAllLedsStatus());
        socket.broadcast.emit('allLeds', _device2.default.getAllLedsStatus());
      }, 500);
    }
  });
};

module.exports = exports['default'];
//# sourceMappingURL=device.js.map
